Bug 21787 - software compilation problems
software compilation problems
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-05 21:02 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-05 21:02:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-05 21:02:42 EST
I installed RH7 from ISO image - standard workstation install. I also
updated glibc from RedHat-errata to version 2.2. I still can not compile
most of the software, which I use. 
Compilation of BestCrypt-0.4b-4 finishes like that:
....
/usr/include/linux/modversions.h:1:2: #error Modules should never use
kernel-headers system headers,
/usr/include/linux/modversions.h:2:2: #error but headers from an
appropriate kernel-source
make[1]: *** [bc_dev.o] Error 1
make[1]: Leaving directory `/home/bcrypt-0.4b-4/mod'
make: *** [subdirs] Error 2


Also the filesystem module for Caldera's Netware client fails:

make[1]: Entering directory `/home/nkfs-4.2.1/src'
gcc -D__KERNEL__ -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer
-DMODULE -DMODVERSIONS -I/usr/include -I. -I../include -DLINUX1_3_x    -c
-o nkfs_driver.o nkfs_driver.c
In file included from nkfs_driver.c:27:
/usr/include/linux/modversions.h:1:2: #error Modules should never use
kernel-headers system headers,
/usr/include/linux/modversions.h:2:2: #error but headers from an
appropriate kernel-source
make[1]: *** [nkfs_driver.o] Error 1
make[1]: Leaving directory `/home/nkfs-4.2.1/src'
make: *** [all] Error 2

I've got kernel headers and kernel sources installed. What do I do wrong.

Please help.

Regards.
Zeb
Comment 1 Bill Nottingham 2000-12-06 01:29:24 EST
You need to include the headers from
/usr/src/linux-<your kernel version>, not
/usr/include/linux.

Note You need to log in before you can comment on or make changes to this bug.